TSUNG-RECORDER(1)

NAME
tsung-recorder - Proxy recorder for the tsung load testing tool.

SYNOPSIS

tsung-recorder [ -l log file ] [ -r command ] [ -p plugin ] [ -L listen port ] [ -I IP ] [ -P port ] [ -u ] [ start|stop|restart|record_tag ]

DESCRIPTION

tsung is a distributed load testing tool. It is protocol-independent and can currently be used to stress and benchmark HTTP, WebDAV, LDAP, PostgreSQL, MySQL and Jabber/XMPP servers. tsung-recorder can be used to record sessions (only for HTTP, WebDAV and Postgresql) that can be edited and replayed later by tsung

tsung-recorder is a proxy that records a session in the tsung native XML format; it can be used by your favorite client (browser in the case of the http plugin).

start
    start the proxy recorder (listening port is 8090). By default the HTTP recorder is started. With the -p option, you can select another plugin. The resulting files will be created as ~/.tsung/tsung_recorderYYYMMDD-HH:MM.xml; if it doesn't work, take a look at ~/.tsung/log/tsung.log-tsunami_recorder@hostname

stop
    stop the proxy recorder

record_tag value
    add a string (comment or tag) while recording a session. This is useful for example to add transaction tag while recording a session.

MANUAL

A manual should be available at /usr/share/doc/tsung/user_manual.html. It is also available online at

    http://tsung.erlang-projects.org/user_manual.html

OPTIONS

-l logfile
    Specifies the log file to use. The default log file name is ~/tsung/log/tsung.log

-p plugin
    Specifies the plugin used for the recorder. Default is http, available: http, pgsql, webdav

-L port
    Listening port for the recorder. Default is 8090

-I IP
    For the pgsql recorder (or parent proxy): server IP. default is 127.0.0.1

-P port
    For the pgsql recorder (or parent proxy): server port. Default is 5432

-u  For the http recorder: use a parent proxy

BUGS

Please reports bugs to the mailing list <tsung-users@process-one.net>, see

    https://lists.process-one.net/mailman/listinfo/tsung-users

for archives.

SEE ALSO

erlang(3) and tsung(1)

AUTHORS

Tsung is written by Nicolas Niclausse <nicolas@niclux.org>. Contributors list is available in /usr/share/doc/tsung/CONTRIBUTORS